Subject: bug#47860: 28.0.50; Mini buffer resize when lines are truncated regression

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Apr 2021 09:57:09 +0300

> From: Aaron Jensen <[email-masked]>
> CC: [email-masked]
> Date: Sat, 17 Apr 2021 20:31:19 -0500
> 
> This is a weird one, but when using selectrum and consult I noticed that
> in some cases the mini buffer does not get properly resized. I tracked
> it down to a recent commit:
> 
> 56c42bd28d9be400e37e122b7abebcd980ea0e8b
> 
> When one of the lines in the minibuffer is truncated, automatically
> resizing the mini buffer does not work properly. Specifically, the
> height is not adjusted to the actual height of the content.
> 
> To reproduce, you'll need selectrum and consult installed, then, from
> emacs -Q:
> 
> (recentf-mode)
> ;; This should be enough x's to cause truncation (so more than your
> ;; window width)
> (setq recentf-list '("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"))
> (require 'consult)
> (require 'selectrum)
> (selectrum-mode)
> (setq completion-styles '(substring))
> (consult-buffer)
> 
> I expect to see all lines in the minibuffer, including the xxxx..., but
> instead I just see the first couple. Reverting the above commit fixes
> the issue.
> 
> Hopefully this is enough to pinpoint it, but if it's not I can try and
> find a more narrow repro

Yes, please do.  I'd very much prefer to see a recipe that doesn't
involve 3rd-party packages which specifically are aimed at changing
how completion works in the minibuffer.  So, please, no consult and
no selectrum.  Okay?

Thanks.